root = true

[*]
end_of_line = lf
insert_final_newline = true
charset = utf-8
indent_style = space
indent_size = 4
trim_trailing_whitespace = true

[*.md]
trim_trailing_whitespace = false

[Makefile]
indent_style = tab

[*.{py,txt}]
indent_style = space
trim_trailing_whitespace = true
indent_size = 4
end_of_line = LF

[*.json]
indent_style = space
indent_size = 2
end_of_line = LF
